Bug 1182578 (CVE-2015-1029) - CVE-2015-1029 puppetlabs-stdlib: local information leakage and local privilege escalation vulnerability
Summary: CVE-2015-1029 puppetlabs-stdlib: local information leakage and local privileg...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-1029
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1182580 1182579
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-15 13:55 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:26 UTC (History)
2 users (show)

Fixed In Version: puppetlabs-stdlib 4.5.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:37:59 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-01-15 13:55:51 UTC
An issue exists [1] where a non-privileged user may, under certain circumstances, be able to pre-populate the puppetlabs-stdlib module’s fact cache, potentially allowing local privilege escalation or local information leakage.

[1]: http://puppetlabs.com/security/cve/cve-2015-1029

Comment 1 Vasyl Kaigorodov 2015-01-15 13:56:18 UTC
Created puppetlabs-stdlib tracking bugs for this issue:

Affects: fedora-all [bug 1182579]
Affects: epel-all [bug 1182580]

Comment 2 Fedora Update System 2015-02-15 03:17:41 UTC
puppetlabs-stdlib-4.5.1-2.20150121git7a91f20.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-02-15 03:17:55 UTC
puppetlabs-stdlib-4.5.1-2.20150121git7a91f20.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-02-20 20:41:04 UTC
puppetlabs-stdlib-4.5.1-2.20150121git7a91f20.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:37:59 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.